package com.mortals.xhx.module.certificate.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateIndustryVo;
/**
* 行业目录实体对象
*
* @author zxfei
* @date 2022-11-04
*/

public class CertificateIndustryEntity extends CertificateIndustryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 父级id
    */
    private Long parentId;
    /**
    * 行业名称
    */
    private String industryName;



    public CertificateIndustryEntity(){}
    /**
    * 获取 父级id
    * @return Long
    */
    public Long getParentId(){
        return parentId;
    }
    /**
    * 设置 父级id
    * @param parentId
    */
    public void setParentId(Long parentId){
        this.parentId = parentId;
    }
    /**
    * 获取 行业名称
    * @return String
    */
    public String getIndustryName(){
        return industryName;
    }
    /**
    * 设置 行业名称
    * @param industryName
    */
    public void setIndustryName(String industryName){
        this.industryName = industryName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateIndustryEntity) {
            CertificateIndustryEntity tmp = (CertificateIndustryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",parentId:").append(getParentId());
        sb.append(",industryName:").append(getIndustryName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.parentId = null;

            this.industryName = "";
    }
}